﻿using System;

namespace Agent.Models
{
    /// <summary>
    /// 정책 히스토리
    /// </summary>
    class PolicyHistory
    {
        public int Tid { get; set; }
        /// <summary>
        /// 정책 구분값
        /// </summary>
        public int Policy_Tid { get; set; }
        /// <summary>
        /// 정책 인덱스 구분값
        /// </summary>
        public int Policy_Index_Tid { get; set; }
        /// <summary>
        /// 정책 히스토리 생성일시
        /// </summary>
        public DateTime Create_Date { get; set; }
        /// <summary>
        /// 정책 히스토리 백업일시
        /// </summary>
        public DateTime Upload_Date { get; set; }
        /// <summary>
        /// 파일 해시값(MD5)
        /// </summary>
        public string Hash { get; set; }
        /// <summary>
        /// 파일 구분값
        /// </summary>
        public Guid Backup_File_Id { get; set; }
    }
}
