﻿using System;

namespace Agent.Models
{
    /// <summary>
    /// 정책 인덱스
    /// </summary>
    class PolicyIndex
    {
        public int Tid { get; set; }
        /// <summary>
        /// 정책 구분값
        /// </summary>
        public int Policy_Tid { get; set; }
        /// <summary>
        /// 파일명
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 파일 경로
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 정책 인덱스 생성일시
        /// </summary>
        public DateTime Create_Date { get; set; }
        /// <summary>
        /// 정책 인덱스 마지막 갱신일시
        /// </summary>
        public DateTime Last_Update { get; set; }
    }
}
