﻿using System;

namespace Agent.Models
{
    /// <summary>
    /// 정책 모니터링
    /// </summary>
    class PolicyMonitor
    {
        public int Tid { get; set; }
        /// <summary>
        /// 사용자 구분값
        /// </summary>
        public int User_Tid { get; set; }
        /// <summary>
        /// 모니터링 시작일시
        /// </summary>
        public DateTime Start_Date { get; set; }
        /// <summary>
        /// 모니터링 종료일시
        /// </summary>
        public DateTime End_Date { get; set; }
        /// <summary>
        /// 수동 여부
        /// </summary>
        public bool Is_Manual { get; set; }
        /// <summary>
        /// 완료 여부
        /// </summary>
        public bool Is_Done { get; set; }
        /// <summary>
        /// 성공한 파일개수
        /// </summary>
        public int Success_Count { get; set; }
        /// <summary>
        /// 실패한 파일개수
        /// </summary>
        public int Fail_Count { get; set; }
    }
}
