﻿using System;

namespace Agent.Models
{
    /// <summary>
    /// 레포트
    /// </summary>
    class Report
    {
        public int Tid { get; set; }
        /// <summary>
        /// 사용자 구분값
        /// </summary>
        public int User_Tid { get; set; }
        /// <summary>
        /// 정책 구분값
        /// </summary>
        public int Policy_Tid { get; set; }
        /// <summary>
        /// 감시 대상 파일
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 감시 대상 경로
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 작업종류 (BACKUP, RESTORE)
        /// </summary>
        public string Work_Type { get; set; }
        /// <summary>
        /// 레포트 생성일시
        /// </summary>
        public DateTime Create_Date { get; set; }
        /// <summary>
        /// 백업, 복구, 재시도 성공여부
        /// </summary>
        public bool Is_Fail { get; set; }
    }
}
