﻿namespace Agent.Models
{
    class DirectoryBackupResult
    {
        /// <summary>
        /// 성공한 개수
        /// </summary>
        public int Success { get; set; } = 0;
        /// <summary>
        /// 중복 또는 업로드 개수
        /// </summary>
        public int Duplicate { get; set; } = 0;
        /// <summary>
        /// 성공한 개수와 중복, 업로드 개수가 같은지 확인
        /// </summary>
        public bool IsNA()
        {
            return Success == Duplicate;
        }
    }
}
