﻿using System;
using System.ComponentModel;

namespace Agent.Models
{
    public class PolicyListItem : INotifyPropertyChanged
    {
        private bool selected;
        private string pathnm;
        public bool Selected
        {
            get
            {
                return selected;
            }
            set
            {
                selected = value;
                OnPropertyChanged("Selected");
            }
        }
        public int RowNum { get; set; }
        public int Tid { get; set; }
        public int UserTid { get; set; }
        public string Path { get; set; }
        public string PathNm
        {
            get
            {
                return pathnm;
            }
            set
            {
                pathnm = value.Substring(value.LastIndexOf("\\")+1);
                OnPropertyChanged("PathNm");
            }
        }
        public string PolicyType { get; set; }
        public bool IsDelete { get; set; }
        public DateTime CreateDate { get; set; }
        public string Tag1 { get; set; }
        public string Tag2 { get; set; }
        public string Tag3 { get; set; }
        public string Tag4 { get; set; }
        public string Tag5 { get; set; }
        public string Tag6 { get; set; }
        public string Tag7 { get; set; }
        public string Tag8 { get; set; }
        public string Tag9 { get; set; }
        public string Tag10 { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string prop)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(prop));
        }
    }
}
