﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace Agent.Services
{
    class CsvService
    {
        public List<String> Header = new List<String>();

        public List<List<object>> Column = new List<List<object>>();

        public void SetHeader(List<string> headers)
        {
            for (var i = 0; i < headers.Count; i++)
            {
                Header.Add(headers[i]);
            }
        }

        public void SetColumn(List<object> columns)
        {
            Column.Add(columns);
        }

        public void CreateCsv(string fileName)
        {
            using (StreamWriter file = new StreamWriter(fileName, false, Encoding.GetEncoding("utf-8")))
            {
                for (int i = 0; i < Header.Count; i++)
                {
                    if (i == (Header.Count-1))
                    {
                        file.Write(Header[i]);
                        continue;
                    }
                    file.Write(Header[i]+", ");
                }

                file.WriteLine();

                for (int i = 0; i < Column.Count; i++)
                {                    
                    List<object> obj = Column[i] as List<object>;            
                    string val = "";

                    for (int j = 0; j < obj.Count; j++)
                    {
                        if (j == (obj.Count - 1))
                        {
                            val += obj[j];
                            continue;
                        }
                        val += obj[j]+",";                        
                    }

                    file.WriteLine(val);
                }

                Header.Clear();
                Column.Clear();
            }
        }
    }
}
