﻿using Agent.Models;
using System.Collections.ObjectModel;
using System.Windows;

namespace Agent.Views
{
    /// <summary>
    /// HashChkWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class HashChkWindow : Window
    {
        private readonly ObservableCollection<MatchResult> _resultList = new ObservableCollection<MatchResult>();

        public HashChkWindow(string path, string hash, bool isMatch)
        {
            InitializeComponent();
            MatchList.ItemsSource = _resultList;

            _resultList.Add(new MatchResult
            {
                FilePath = $"{path}\r\n(HASH:{hash})",
                IsMatch = isMatch
            });
        }
        
    }
}
